<?php
@session_start();
  $vg_login=$_SESSION["usuario"];

  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../parametros.php"; 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<title><?php echo $nombreprograma; ?></title>
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>


  <link rel="stylesheet" href="../plugins1/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-buttons/css/buttons.bootstrap4.min.css">

<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>
  
<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>



<script type='text/javascript'   src='js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="js1/select2.css">
<script type='text/javascript'   src="js1/bootstrap.min.js"></script>


<script type='text/javascript'>
$(window).load(function(){
   $('#empresa').select2();
});
</script>

<style>

.select-editable {
     position:relative;
     background-color:white;
     border:solid grey 1px;
     width:120px;
     height:18px;
 }
 .select-editable select {
     position:absolute;
     top:0px;
     left:0px;
     font-size:14px;
     border:none;
     width:120px;
     margin:0;
 }
 .select-editable input {
     position:absolute;
     top:0px;
     left:0px;
     width:100px;
     padding:1px;
     font-size:12px;
     border:none;
 }
 .select-editable select:focus, .select-editable input:focus {
     outline:none;
 }

</style>
</head>

<body onLoad="frmempleados.codigo.focus();">
<?php

	

include "../conexion.php";


$codigo="";$fecha=date("Y-m-d");$cliente="";$nombre="";$observaciones="";


if($_REQUEST["id"]<>'')
	{  		 $id=$_REQUEST['id'];  $existeoc=0; 
			 
			 $sql_datos =mysqli_query($conexion,"select codigo,fecha,cliente,nombre,observaciones,estado
												 FROM 	plan_separe		
									   where id='".$id."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$codigo=$datos[0]; 						
						$fecha=$datos[1]; 	
						$cliente=$datos[2]; 	
						$nombre=$datos[3]; 	
						$observaciones=$datos[4]; 	
						$estado=$datos[5]; 	
						$estadofin=$datos[5]; 	
				   }
	}


if(isset($_REQUEST['oculto']))
  { 
	$codigo=$_REQUEST['codigo'];
	$fecha=$_REQUEST['fecha'];
	$cliente=$_REQUEST['cliente'];
	$nombre=$_REQUEST['nombre'];
	$observaciones=$_REQUEST['observaciones'];
	$codcliente=$_REQUEST['codcliente'];
	

if($_REQUEST["oguardar"]==1)
	 {   
				$sql_contar=mysqli_query($conexion,"SELECT plansepare FROM parametros");
			    while($datos= mysqli_fetch_row($sql_contar)){ $codigo=$datos[0]+1;}

				$sql_insert=mysqli_query($conexion,"insert into plan_separe (codigo,cliente,fecha,nombre,observaciones,estado,fecsis,horasis,usuario)
										  values('".$codigo."','".$cliente."','".$fecha."','".$nombre."',
										  		  '".$observaciones."','A','".$fecha."','".$horasis."','".$vg_login."')"); 
				 if($sql_insert)
				   {
				      $mensaje="Se registro el plan separe";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
                       <?php
					   
				   
				    $vale=$vale;
				    $sql_contar=mysqli_query($conexion,"update  parametros set plansepare='".$codigo."'");
				   }	
				 else {
					 $mensaje="Error al registra el plan separe";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
                       <?php
				 
				 }				
 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {  
	   //$estado=$_REQUEST['estado'];	
	  
	  if($estadofin=='C')
	  { 
	    $mensaje="No se puede modificar ya esta cerrado el plan separe";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
	     
	  }
	  else
	  {
	   if($estadofin=='A')
	      {
			     $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM plan_separe  
													  where codigo='".$codigo."'");
				  while($datos= mysqli_fetch_row($sql_contar)){   $contar=$datos[0];}
				  if($contar>=1) 
					{ $busqueda=1;
					 
					  $sql_update=mysqli_query($conexion,"update plan_separe set
												          observaciones='".$observaciones."'									  		  
														  where codigo='".$codigo."'"); 
														  
					 if($sql_update)
					   {
						$mensaje="Se modifico el plan separe ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
                       <?php
					   }	
					 else {
							  $mensaje="Error al modificar el plan separe";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
					 }				
					}
				  else
				   {
				     $mensaje="No existe el  consecutivo por la empresa";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
				   
				   }
				
		  }
		  else
		   {
			     $mensaje="El plan de pagos esta cerrar no puede modificar";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
		   }
			
	    }
	 }//fin guardar
	 
	 
if($_REQUEST["ocerrar"]==1)
	 {  
	  if($estadofin=='A')
	  { 
	  
	  		$sql_update=mysqli_query($conexion,"update plan_separe set
												          estado='C',fechacierre='".$fecsis."',horacierre='".$horasis."'
														  where codigo='".$codigo."'"); 
			if($sql_update)											  
			{
			    $mensaje="No se puede modificar ya esta cerrado el plan separe";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
			}
	  }
	  else
	  {
	   	     $mensaje="Solo se puede modificar ya esta cerrado el plan de pagos";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
	    }
	 }//fin guardar	 




if($_REQUEST["obusca"]==1)
     {    $existeoc=0;
		   $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM plan_separe  
											  where codigo='".$codigo."'");											   
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 
			    $sql_datos =mysqli_query($conexion,"select codigo,fecha,cliente,nombre,observaciones,estado
												 FROM 	plan_separe		
									   where codigo='".$codigo."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$codigo=$datos[0]; 						
						$fecha=$datos[1]; 	
						$cliente=$datos[2]; 	
						$nombre=$datos[3]; 	
						$observaciones=$datos[4]; 	
						$estado=$datos[5]; 	
						$estadofin=$datos[5]; 	
				   }
			}
		else
			  {
				  $mensaje="No existe el codigo del plan separe";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
			    $codigo="";$fecha=date("Y-m-d");$cliente="";$nombre="";$observaciones="";
			  }
      }//fin buscar


if(isset ($_REQUEST['nuevo']))
   { 
		$codigo="";$fecha=date("Y-m-d");$cliente="";$nombre="";$observaciones="";
   }



  }

if($_REQUEST["ocliente"]==1)
     {    
		   $sql_datosrs=mysqli_query($conexion,"SELECT nombre,documento from cliente
									where id='".$codcliente."'");	
			$c=1;
			 while($datos= mysqli_fetch_row($sql_datosrs))//04
				{
					 $nombre=$datos[0];
					 $cliente=$datos[1];
				}
      }//fin buscar

?>
<form name="frmempleados" method="post" action="" >
 <center>
 <div class="panel panel-primary" style='width:90%;'>
      <div class="panel-heading"> PLAN SEPARE</div>
	  <div align="center">
        <table width="100%" border="0">
          <tbody>
            <tr>
              <td width="7%"><div align="left" > No.</div></td>
              <td width="41%"><table width="100%" border="0">
                  <tbody>
                    <tr>
                      <td><input name="codigo" type="text" id="codigo"    value="<?php echo $codigo; ?>"              
						class="form-control"  style="width: 50%" /></td>
                      <td><input name="buscar" type="submit" class="btn btn-primary" id="buscar"  value="Buscar" onclick="obusca.value=1;" /></td>
                    </tr>
                  </tbody>
              </table></td>
              <td width="13%"><div align="left" >Fecha:</div></td>
              <td width="39%"><input name="fecha" type="date"  id="fecha"    value="<?php echo $fecha; ?>" 
               autocomplete="off"
              class="form-control"  style="width: 50%" /></td>
            </tr>
            <tr>
              <td><div align="left" >Cliente.:</div></td>
              <td><table width="100%" border="0">
                  <tbody>
                  <tr>
                    <td width="49%"><input name="cliente" type="text" id="cliente"    value="<?php echo $cliente; ?>"              
             class="form-control"   style="width: 100%" /></td>
                    <td width="22%"><input name='ccliente' type='button'  id='ccliente' value='Buscar Cliente'   class="btn btn-primary"  
						  onclick="javascript:window.open('frm_cliente_buscar.php?Obuscar=0','Reportekardex','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" /></td>
                    <td width="29%"><input name="codcliente" type="hidden" id="codcliente"    value="<?php echo $codcliente; ?>"              
             class="form-control" style="width: 100%" readonly='readonly' /></td>
                  </tr>
                </tbody>
            </table></td>
              <td><div align="left" >Nombre:</div></td>
              <td><input name="nombre" type="text" id="nombre"    value="<?php echo $nombre; ?>"              
             class="form-control"   style="width: 100%"  /></td>
            </tr>


            <tr>
              <td align="center"><div align="left" >Observaciones.</div></td>
              <td align="center" colspan='3'>
			  <input name="observaciones" type="text" id="observaciones"    value="<?php echo $observaciones; ?>"              
             		class="form-control"  style="width: 100%"         />
			  </td>
            </tr>
            
            <tr>
              <td colspan="4" align="center">
                <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
				<?php
                 if($codigo<>""){}
				 else
				 {
				?>              
                <input name="guardar" type="button"  id="guardar"  value="Guardar" 
                    onclick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
                <?php
				 }
                 if($codigo>=1)
				   {
				?>
                <input name="modificar" type="button"  id="modificar"  value="Modificar"
              	onclick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
                <input name="modificar2" type="button"  id="cerrar"  value="Cerrar Plan Separe"
              	onclick="return pregunta_cerrar();" class="btn btn-primary" style="width:100px" />
                

				
                 <?php
				   }
				?>
                <input type="hidden" name="oculto" />
                <input name="oguardar" type="hidden" id="oguardar" />
                <input name="omodificar" type="hidden" id="omodificar" />
                <input name="obusca" type="hidden" id="obusca" />
                <input name="ocorreo" type="hidden" id="ocorreo" />
                <input name="oproveedor" type="hidden" id="oproveedor" />
                <input name="oempresa" type="hidden" id="oempresa" />
                <input name="ocliente" type="hidden" id="ocliente" />
                <input name="ocerrar" type="hidden" id="ocerrar" />                
              
              </td>
            </tr>
          </tbody>
        </table>
        <p>&nbsp;</p>
      </div>
 </div>
 </center>  
 
 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<SCRIPT type=text/javascript>


function pregunta_cerrar(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
			document.frmempleados.ocerrar.value=1; 
			document.frmempleados.submit(); 
			return true;
	   } 
	  else 
	    {
		   document.frmempleados.ocerrar.value=0;
		    return false; 
	    }
	})
} 


function pregunta_correo(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
			document.frmempleados.ocorreo.value=1; 
			document.frmempleados.submit(); 
			return true;
	   } 
	  else 
	    {
		   document.frmempleados.ocorreo.value=0;
		    return false; 
	    }
	})
} 

function pregunta_guardar(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmempleados.oguardar.value=0;
				return false;
				}
			else
			  { document.frmempleados.oguardar.value=1; 
			    document.frmempleados.submit(); 
				return true;
			  }
	   } 
	  else {
		document.frmempleados.oguardar.value=0;
		    return false; 
	  }
	})
} 



function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmempleados.omodificar.value=0; 
				return false;
				}
			else
			  { document.frmempleados.omodificar.value=1; 
				document.frmempleados.submit(); 
				return true;
			  }
	   } 
	  else {
		document.frmempleados.omodificar.value=0;
		    return false; 
	  }
	})
} 

function valida_campos()
{   var mensaje='';
	
		 if(document.frmempleados.cliente.value!=''){}
		 else {mensaje=mensaje + 'Cliente,';    }
		 if(document.frmempleados.fecha.value!=''){}
		 else {mensaje=mensaje + 'Fecha,';    }
		 
		if( document.frmempleados.cliente.value!='' &&  document.frmempleados.fecha.value!='' ){return true;}
		else {
			   cuteAlert({
						  type: "error",
						  title: "SIVI",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>

    			<div class="card-box mb-20">
					<div class="pb-20">
					<table id="example1" class="table table-bordered table-striped" style="font-size:12px;" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
							<thead>
								<tr>
									<th class='btn-primary' align='center'>CODIGO</th>
									<th class='btn-primary' align='center'>FECHA</th>
                                    <th class='btn-primary' align='center'>CLIENTE</th>
									<th class='btn-primary' align='center'>NOMBRE</th>
									<th class='btn-primary' align='center'>OBSERVACIONES</th>
                                    <th class='btn-primary' align='center'>ESTADO</th>
                                    <th class='btn-primary' align='center'>TOTAL</th>
                                    <th class='btn-primary' align='center'>TOTAL ABONO</th>
                                    <th class='btn-primary' align='center'>ITEMS</th>
								</tr>
							</thead>
							<tbody>
							<?php
							$sql_datos=mysqli_query($conexion,"select codigo,fecha,cliente,nombre,observaciones,estado,id FROM plan_separe		
																order by id desc");
								while($datos= mysqli_fetch_row($sql_datos))
									{	
										$codigo=$datos[0]; 						
										$fecha=$datos[1]; 	
										$cliente=$datos[2]; 	
										$nombre=$datos[3]; 	
										$observaciones=$datos[4]; 	
										$estado=$datos[5]; 	
										$id=$datos[6]; 
										
										if($estado=='A'){$nestado="Creado";}
										if($estado=='C'){$nestado="Cerrado";}
										
										//verifviamos valor total ps
										$sumat=0;
										$sql_datosps=mysqli_query($conexion,"select cantidad,valorunitario	FROM plan_separe_items
																					where codigo='".$codigo."'
																					order by id asc");
										while($datoslogps= mysqli_fetch_row($sql_datosps))//01
										{
											$cantidad=$datoslogps[0];
											$precio=$datoslogps[1];
											$vrtotal=$cantidad*$precio;
											$sumat=$sumat+$vrtotal;
										}
										$saldo=0;
										$sql_datosps=mysqli_query($conexion,"select sum(valor)	FROM plan_separe_abono where codigo='".$codigo."'");
										while($datoslogps= mysqli_fetch_row($sql_datosps)){$saldo=$datoslogps[0];}

											echo " <tr>";
											echo "<td><a href='frm_plansepare.php?id=$id'>$codigo</a></td>
													<td><center>$fecha</center></td>
													<td><center>$cliente</center></td>
													<td><center>$nombre</center></td>
													<td><center>$observaciones</center></td>
													<td>$nestado</td>
													<td align='right'>".number_format($sumat)."</td>
													<td align='right'>".number_format($saldo)."</td>
													<td>";
													?>
													 <input name='rep' type='button'  id='rep' value='Items'   class="btn btn-primary" title="Clic para ver Items"
						  onclick="javascript:window.open('frm_item.php?dosps=<?php echo $codigo; ?>','Cargipsc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:100px"  />
                     
                           <input name='rep' type='button'  id='rep' value='Abono'   class="btn btn-primary" title="Clic para ver abonos"
						  onclick="javascript:window.open('frm_abonos.php?dosps=<?php echo $codigo; ?>','Cargipsc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:100px"  />
                          
                          <input name='rep' type='button'  id='rep' value='Imprime'   class="btn btn-primary" title="Clic para ver impresion"
						  onclick="javascript:window.open('imprimepos.php?dosps=<?php echo $codigo; ?>','Cargipsc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:100px"  />
						  
													<?php
													echo "</td>
												</tr>";	
									}	
	 
						?>
							
							
							</tbody>
						</table>
					</div>
				</div>
				


<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
  
  
</script>

</form>
</body>
</html>